## pyopencl 0.92~beta+git20100709

=== debian/changelog ===
pyopencl (0.92~beta+git20100709-1ubuntu1) maverick; urgency=low

  * Package taken from Debian (LP: #607407)
  * debian/control: Changed dependencies to fit Ubuntu NVIDIA packages
  * debian/rules: added --cl-inc-dir to point to the correct headers

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 24 Jul 2010 20:43:30 +0200

pyopencl (0.92~beta+git20100709-1) unstable; urgency=low

  * Initial release
  * Replaced usage of setuptools with python-setuptools from Debian
  * Deleted jquery.js and replace it with link to script from libjs-jquery

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 31 May 2010 19:29:00 +0200
