=== debian/control ===
Source: pyopencl
Section: contrib/python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tomasz Rybak <bogomips@post.pl>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 python-all-dev,
 python-setuptools,
 nvidia-current-dev,
 libboost-python-dev,
 mesa-common-dev,
 python-numpy,
 python-matplotlib,
 python-sphinx,
 python-pytools (>= 7)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://mathema.tician.de/software/pyopencl
Vcs-Git: http://git.tiker.net/trees/pyopencl.git
Vcs-Browser: http://git.tiker.net/?p=pyopencl.git;a=summary

Package: python-pyopencl
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-current,
 python-numpy,
 python-matplotlib,
 python-pytools (>= 7),
 libjs-jquery
Recommends: nvidia-opencl-icd,
 python-opengl
Suggests: python-imaging-tk
XB-Python-Version: ${python:Versions}
Description: module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
