=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_NAME=python-pyopencl
PYVERS=$(shell pyversions -vr debian/control)

%:
	dh $@

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--cl-enable-gl --cl-inc-dir=/usr/include/nvidia-current

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	PYTHONPATH=../build/lib.$(DEB_BUILD_ARCH_OS)-$(DEB_BUILD_GNU_CPU)-$(firstword $(PYVERS))/ $(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)

override_dh_compress:
	dh_compress -a -X.py -X.txt -X.js

override_dh_installdocs:
	dh_installdocs
	rm debian/$(PACKAGE_NAME)/usr/share/doc/$(PACKAGE_NAME)/html/_static/jquery.js


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=6fee76173b147a6c84364f8248649d52a9d6557f
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
