## pyopencl 0.92

=== debian/changelog ===
pyopencl (0.92-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - debian/control: Changed dependencies to fit Ubuntu NVIDIA packages
  * Dropped change (superceeded in debian):
    - debian/rules: added --cl-inc-dir to point to the correct headers

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 Nov 2010 19:34:12 +0530

pyopencl (0.92-1) unstable; urgency=high

  * New upstream release
  * Fixed Vcs-* URLs in debian/control; now they point to Alioth
    instead of upstream git repository (Closes: #599875)
  * Fixed Maintainer field in debian/copyright (Closes: #599873)
  * Added missing licence for pyopencl/clrandom.py file (Closes: #599874)
  * Fixed FTBFS on i386 (Closes: #599782)
  * Forced build scripts not to use boost libraries that might be included
    in the source
  * Removed messages about missing Boost libraries; they are superfluous
    as package is using Debian ones
  * Update Standards-Version to 3.9.1; no changes necessary.
  * Changed dependencies:
    * Added alternative dependency to help with post-Squeeze changes
      in NVIDIA driver packages
    * Added alternative build-dependency on nvidia-libopencl1
      and opencl-headers instead of nvidia-libopencl1-dev
      which will be removed from NVIDIA driver packages after Squeeze

 -- Tomasz Rybak <bogomips@post.pl>  Fri, 05 Nov 2010 14:52:35 +0100
