=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  python-matplotlib,
  python-sphinx,
  python-pytools (>= 7)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: http://git.tiker.net/trees/pyopencl.git
-Vcs-Browser: http://git.tiker.net/?p=pyopencl.git;a=summary
+Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386
