## pyopencl 0.92.dfsg

=== debian/changelog ===
pyopencl (0.92.dfsg-1) oldstable; urgency=low

  * Remove non-free file from examples (#722014, #723793).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 04 Oct 2013 17:54:19 +0200
