=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <bogomips@post.pl>
+Maintainer: Tomasz Rybak <bogomips@post.pl>
 Build-Depends: debhelper (>= 7.0.50~),
  python-support,
  python-all-dev,
  python-setuptools,
- nvidia-current-dev,
+ nvidia-libopencl1-dev | opencl-headers | libopencl1-dev | nvidia-current-dev,
+ nvidia-libopencl1,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
@@ -23,7 +23,9 @@
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- nvidia-current,
+ libnvidia-compiler1 | libnvidia-compiler,
+ nvidia-libopencl1,
+ nvidia-opencl-common,
  python-numpy,
  python-matplotlib,
  python-pytools (>= 7),
