## pyopencl 2011.1.2+git20110716

=== debian/changelog ===
pyopencl (2011.1.2+git20110716-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.2; no changes necessary.
  * Switch to debhelper compat level 8; no changes necessary.
  * Add option in debian/source/ to unapply patches after build.
  * Change debian/rules to use dh_python2 which is recommended in Wheezy
  * Add override python-py of pytest package
  * Disable compressing Sphinx-generated files (Closes: #608778)
  * Change dependencies to OpenCL virtual packages to allow other OpenCL
    providers. #629702 is not yet closed because of lack of change in build
    dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 18 Jul 2011 13:32:06 +0200
