=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: contrib/python
 Priority: optional
 Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 7.0.50~),
- python-support,
+Build-Depends: debhelper (>= 8),
  python-all-dev,
+ python3-all-dev,
  python-setuptools,
- nvidia-libopencl1-dev | opencl-headers | libopencl1-dev | nvidia-current-dev,
- nvidia-libopencl1,
+ python3-setuptools,
+ opencl-headers,
+ nvidia-opencl-dev,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
  python-matplotlib,
  python-sphinx,
- python-pytools (>= 7)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+ python-pytools (>= 2011.3)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
@@ -23,15 +25,14 @@
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- libnvidia-compiler1 | libnvidia-compiler,
- nvidia-libopencl1,
- nvidia-opencl-common,
+ opencl-icd,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 7),
+ python-pytools (>= 2011.3),
  libjs-jquery
 Recommends: nvidia-opencl-icd,
- python-opengl
+ python-opengl,
+ python-mako
 Suggests: python-imaging-tk
 XB-Python-Version: ${python:Versions}
 Description: module to access OpenCL parallel computation API
