=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYVERS=$(shell pyversions -vr debian/control)
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
@@ -18,7 +18,7 @@
 	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
 
 override_dh_compress:
-	dh_compress -a -X.py -X.txt -X.js
+	dh_compress -a -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
 
 override_dh_installdocs:
 	dh_installdocs
@@ -28,15 +28,15 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=dcd70ebc88337cc6474452b83ac02d4ae0c411a9
+GIT_REVISION=97e796cc648e7f6d75a57a0da13fa3b38963aa2e
+GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git 
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
 	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
-	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git checkout $(GIT_REVISION)
+	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
-	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/matrix-multiply.py
 	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
