## pyopencl 2011.2

=== debian/changelog ===
pyopencl (2011.2-1) unstable; urgency=low

  * New upstream release.
  * Change dependencies and build-dependencies to allow installation
    with non-NVIDIA (particularly AMD) OpenCL provider (Closes: #628702)
  * Remove unnecessary ./configure option pointing to include directory;
    OpenCL header files are now in /usr/include
  * Split into python-pyopencl and python-pyopencl-doc packages.
  * Use dh_sphinxdoc to properly manage documentation.
  * Add doc-base support
  * Fix copyright for files in compyte/*
  * Remove pytest override as package uses only py.test

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 28 Nov 2011 13:39:37 +0100
