=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Tomasz Rybak <bogomips@post.pl>
 Build-Depends: debhelper (>= 8),
  python-all-dev,
- python3-all-dev,
  python-setuptools,
- python3-setuptools,
  opencl-headers,
- nvidia-opencl-dev,
+ opencl-icd,
+ amd-libopencl1 | libopencl1,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
  python-matplotlib,
- python-sphinx,
- python-pytools (>= 2011.3)
+ python-sphinx (>= 1.0.7+dfsg),
+ python-pytools (>= 2011.5)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -28,13 +27,12 @@
  opencl-icd,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 2011.3),
- libjs-jquery
-Recommends: nvidia-opencl-icd,
+ python-pytools (>= 2011.5)
+Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
-Suggests: python-imaging-tk
-XB-Python-Version: ${python:Versions}
+Suggests: python-imaging-tk,
+ python-py
 Description: module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -52,3 +50,29 @@
     above are virtually free.
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
+
+Package: python-pyopencl-doc
+Section: contrib/doc
+Architecture: all
+Depends: ${sphinxdoc:Depends},
+ ${misc:Depends}
+Recommends: python-pyopencl
+Description: module to access OpenCL parallel computation API (documentation)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains HTML documentation and example scripts.
