## pyopencl 2012.1

=== debian/changelog ===
pyopencl (2012.1-1ubuntu4) raring; urgency=low

  * Installing fglrx breaks 3D acceleration on sandy-bridge (my work
    machine). Therefore I am dropping "fglrx | nvidia-current" from
    Depends fields.  If you have opencl capable hardware and properly
    setup, then you can enjoy this package.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 08 Nov 2012 23:34:28 +0000

pyopencl (2012.1-1ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:21 +0000

pyopencl (2012.1-1ubuntu2) raring; urgency=low

  * Remove depends on opencl-icd, keep/add suggests
    "fglrx | nvidia-current" to make the python modules
    installable.
  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Nov 2012 00:30:55 +0100

pyopencl (2012.1-1ubuntu1) quantal; urgency=low

  * Skip sphinx documentation in binary-arch build. Fixes FTBFS.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 02 Jul 2012 12:17:59 +0100

pyopencl (2012.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on free ocl-icd-libopencl1 instead of non-free libraries.
  * Add NEWS entry describing OpenCL library dependencies.
  * Change my email.
  * Move python-pyopengl from Recommends to Suggests because package
    can be used for computations without any graphical environment.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 21 Jun 2012 21:18:03 +0200

pyopencl (2011.2+git20120517-1) unstable; urgency=low

  * New upstream release.
  * Call dh_numpy3 in debian/rules for NumPy ABI and ABI dependencies
    in Python3 module.
  * Fix copyright for files in src/cl/*
  * Update debian/compat to 9, update dependencies.
  * Add Replaces: python-pyopencl to python-pyopencl-headers to avoid problem
    with updating, and ensure that python-pyopencl and python3-pyopencl
    always use correct version of python-pyopencl-headers. (Closes: #674000)
  * Add NEWS entry describing OpenCL library dependencies. (Closes: #673992)

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 29 May 2012 19:52:40 +0200

pyopencl (2011.2+git20120508-1) unstable; urgency=low

  * New upstream release.
  * Add Python 3 package, create separate python-pyopencl-headers package.
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format.
  * Call dh_numpy in debian/rules for NumPy ABI and ABI dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 08 May 2012 23:04:52 +0200
