=== debian/control ===
--- 
+++ 
@@ -1,39 +1,73 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Build-Depends: debhelper (>= 9),
  python-all-dev,
+ python3-all-dev,
  python-setuptools,
+ python3-setuptools,
  opencl-headers,
- opencl-icd,
- amd-libopencl1 | libopencl1,
+ ocl-icd-libopencl1 | libopencl1,
  libboost-python-dev,
  mesa-common-dev,
- python-numpy,
- python-matplotlib,
+ python-numpy (>= 1:1.4.1-4~),
+ python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.5)
-Standards-Version: 3.9.2
+ python3-sphinx (>= 1.0.7+dfsg),
+ python-pytools (>= 2011.5),
+ python3-pytools
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
 
+Package: python-pyopencl-headers
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python-pyopencl-doc,
+ python-pyopencl,
+ python3-pyopencl
+Replaces: python-pyopencl (<< 2011.2+git20120508-1)
+Breaks: python-pyopencl (<< ${source:Version}),
+ python3-pyopencl (<< ${source:Version})
+Description: headers for Python module to access OpenCL parallel computation API
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains header files used by PyOpenCL modules.
+
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- opencl-icd,
+ ocl-icd-libopencl1 | libopencl1,
  python-numpy,
- python-matplotlib,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2011.5),
+ python-pyopencl-headers (= ${source:Version})
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
- python-py
-Description: module to access OpenCL parallel computation API
+ python-pytest,
+ python-matplotlib
+Description: Python module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
   * Object cleanup tied to lifetime of objects. This idiom, often called
@@ -51,12 +85,46 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
 
+Package: python3-pyopencl
+Architecture: amd64 i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ ocl-icd-libopencl1 | libopencl1,
+ python3-numpy,
+ python3-pytools (>= 2011.5),
+ python-pyopencl-headers (= ${source:Version})
+Recommends: python-pyopencl-doc,
+ python3-mako
+Suggests: python3-imaging-tk,
+ python3-opengl,
+ python3-pytest,
+ python3-matplotlib
+Description: Python 3 module to access OpenCL parallel computation API
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains Python 3 modules.
+
 Package: python-pyopencl-doc
 Section: contrib/doc
 Architecture: all
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python-pyopencl
+Recommends: python-pyopencl,
+ python3-pyopencl
 Description: module to access OpenCL parallel computation API (documentation)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
