=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,38 @@
 #! /usr/bin/make -f
 
-PACKAGE_NAME=python-pyopencl
-PYVERS=$(shell pyversions -vr debian/control)
+PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
+INSTALL_DIR=$(CURDIR)/debian/tmp/
+PYTHON2=$(shell pyversions -vr)
+PYTHON3=$(shell py3versions -vr)
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
-	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYVERS)))/ $(MAKE) -C doc html
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py build ; \
+	done
+	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	dh_numpy
+	dh_numpy3
+
+# No docs in the binary-arch packages
+override_dh_sphinxdoc-arch:
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
@@ -22,7 +40,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=f5545eff1ec2210c0df310e85143b38f875871ce
+GIT_REVISION=v2012.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git
