=== debian/changelog ===
pyopencl (2012.1.dfsg-1) stable; urgency=low

  * Remove non-free file from examples (#722014) and now-unnecessary
    entry from debian/copyright (Closes: #723587).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 24 Sep 2013 18:58:01 +0200
