=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
  python3-all-dev,
@@ -27,7 +26,8 @@
 
 Package: python-pyopencl-headers
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ opencl-icd
 Recommends: python-pyopencl-doc,
  python-pyopencl,
  python3-pyopencl
@@ -58,6 +58,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
+ opencl-icd,
  python-numpy,
  python-pytools (>= 2011.5),
  python-pyopencl-headers (= ${source:Version})
@@ -89,6 +90,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
+ opencl-icd,
  python3-numpy,
  python3-pytools (>= 2011.5),
  python-pyopencl-headers (= ${source:Version})
