=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
+ python-all-dbg,
  python3-all-dev,
+ python3-all-dbg,
  python-setuptools,
  python3-setuptools,
  opencl-headers,
@@ -17,42 +19,12 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
-
-Package: python-pyopencl-headers
-Architecture: all
-Depends: ${misc:Depends},
- opencl-icd
-Recommends: python-pyopencl-doc,
- python-pyopencl,
- python3-pyopencl
-Replaces: python-pyopencl (<< 2011.2+git20120508-1)
-Breaks: python-pyopencl (<< ${source:Version}),
- python3-pyopencl (<< ${source:Version})
-Description: headers for Python module to access OpenCL parallel computation API
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
- .
- This package contains header files used by PyOpenCL modules.
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyopencl.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386
@@ -60,14 +32,15 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python-numpy,
- python-pytools (>= 2011.5),
- python-pyopencl-headers (= ${source:Version})
+ python-pytools (>= 2011.5)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
  python-pytest,
- python-matplotlib
+ python-matplotlib,
+ python-pyopencl-dbg
+Replaces: python-pyopencl-headers
 Description: Python module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -86,20 +59,47 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
 
+Package: python-pyopencl-dbg
+Section: contrib/debug
+Priority: extra
+Architecture: amd64 i386
+Depends: python-pyopencl (= ${binary:Version}), python-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Description: Python module to access OpenCL API (debug extensions)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains debug extensions build for the Python debug interpreter.
+
 Package: python3-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python3-numpy,
- python3-pytools (>= 2011.5),
- python-pyopencl-headers (= ${source:Version})
+ python3-pytools (>= 2011.5)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
  python3-opengl,
  python3-pytest,
- python3-matplotlib
+ python3-matplotlib,
+ python3-pyopencl-dbg
+Replaces: python-pyopencl-headers
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -119,6 +119,32 @@
   * Liberal licensing (MIT).
  .
  This package contains Python 3 modules.
+
+Package: python3-pyopencl-dbg
+Section: contrib/debug
+Priority: extra
+Architecture: amd64 i386
+Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Description: Python 3 module to access OpenCL API (debug extensions)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains debug extensions for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: contrib/doc
