## pyopencl 2013.2

=== debian/changelog ===
pyopencl (2013.2-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:31:34 +0000

pyopencl (2013.2-1) unstable; urgency=low

  * New upstream release.
  * Remove unnecessary entry from debian/copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:38:21 +0100

pyopencl (2013.1+git20130916-1) unstable; urgency=low

  * New upstream release, removing non-free file from examples (#722014)
  * Update changed Sphinx doc build directory.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 17 Sep 2013 18:03:59 +0200

pyopencl (2013.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 17 Jul 2013 20:09:12 +0200

pyopencl (2013.1~git20130628-1) unstable; urgency=low

  * New upstream release.
  * Bump pytools dependency to 2013.5.2.
  * Update patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 18:21:30 +0200
