=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
  python3-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.5),
+ python-pytools (>= 2013.5.2),
  python3-pytools
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
@@ -32,7 +32,7 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python-numpy,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2013.5.2)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
@@ -91,7 +91,7 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python3-numpy,
- python3-pytools (>= 2011.5)
+ python3-pytools (>= 2013.5.2)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
@@ -144,7 +144,7 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
  .
- This package contains debug extensions for the Python 3 debug interpreter.
+ This package contains extensions build for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: contrib/doc
