=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=ec400dce854ee6753cca088cbccdb077eed7a0dc
+GIT_REVISION=v2013.2
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git
